## Create Products **post** `/api/v2/public/products` Creates or updates products in bulk. ### Query Parameters - `flush: optional boolean` When true, removes existing products before inserting. ### Body Parameters - `body: optional array of object { is_counted, product_name, product_number, 74 more }` - `is_counted: boolean` - `product_name: string` Display name of the product. - `product_number: string` Unique product number. - `allow_decimal: optional boolean` - `attention_code: optional array of string` - `average_weight: optional number` - `barcode: optional string` - `barcodes_array: optional array of object { barcode }` - `barcode: optional string` - `base_unit_name: optional string` - `brand_code: optional string` - `brand_description: optional string` - `carrier_item_quantity: optional number` - `category_code: optional string` - `color: optional string` - `color_code: optional string` - `countries_allowed: optional array of string` - `countries_not_allowed: optional array of string` - `country_code: optional string` - `default_location_tag: optional string` - `deprecation_date: optional string` - `expiration_min_range: optional number` - `free_fields: optional array of object { key, sort_order, value }` - `key: optional string` - `sort_order: optional number` - `value: optional string` - `image_url: optional string` - `ioq: optional number` - `is_active: optional boolean` - `is_adr: optional boolean` - `is_deleted: optional boolean` - `is_edit_min_max: optional boolean` - `is_edit_replenishment: optional boolean` - `is_expiration: optional boolean` - `is_markdown_allowed: optional boolean` - `is_order_manually: optional boolean` - `is_ordering: optional boolean` - `is_promotion: optional boolean` - `is_reset_store_stock: optional boolean` - `is_set: optional boolean` - `is_stock: optional boolean` - `is_store_product: optional boolean` - `is_template: optional boolean` - `is_theft: optional boolean` - `margin_category: optional string` - `moq: optional number` - `price: optional number` - `price_compare_multiplier: optional number` - `price_compare_unit: optional string` - `price_lines: optional string` - `product_details: optional string` - `product_reference_number: optional string` - `product_status: optional string` - `product_type: optional string` - `product_url: optional string` - `promo_stores_allowed: optional array of string` - `promo_stores_not_allowed: optional array of string` - `promotion_price: optional number` - `promotion_text: optional string` - `promotion_week: optional string` - `purchase_price: optional number` - `purchase_unit_barcode: optional string` - `purchase_unit_name: optional string` - `purchase_unit_product_number: optional string` - `purchase_unit_quantity: optional number` - `referral_product_number: optional string` - `set_products: optional array of object { set_item_quantity, set_product_number }` - `set_item_quantity: optional string` - `set_product_number: optional string` - `shelf_labels: optional array of object { shelflabel_1, shelflabel_2, shelflabel_3, 3 more }` - `shelflabel_1: optional string` - `shelflabel_2: optional string` - `shelflabel_3: optional string` - `shelflabel_4: optional string` - `shelflabel_5: optional string` - `shelflabel_6: optional string` - `size: optional string` - `size_code: optional string` - `smallest_product_number: optional string` - `smallest_quantity: optional number` - `store_number: optional string` - `stores_allowed: optional array of string` - `stores_not_allowed: optional array of string` - `supplier_name: optional string` - `supplier_number: optional string` - `supplier_product_number: optional string` - `units: optional array of object { unit_barcode, unit_name, unit_quantity }` - `unit_barcode: string` - `unit_name: string` - `unit_quantity: number` - `variant_code: optional string` - `volume: optional string` ### Returns - `data: optional string` Optional data payload returned by the operation. - `message: optional string` Human-readable message describing the result. - `success: optional boolean` Indicates whether the operation completed successfully. ### Example ```http curl https://api.colleqtive.net/api/v2/public/products \ -X POST \ -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" ```